%define         git          ""
%define         gitdate      20151019
%define         major        12
%define         libname      %mklibname yui %{major}-mga-gtk
%define         develname    %mklibname yui-mga-gtk -d

Name:           libyui-mga-gtk
Version:        1.1.0
Release:        %mkrel 5
Summary:        UI abstraction library - Mageia extension Gtk plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga-gtk
Source0:        %{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libyui)    >= 3.1.2
BuildRequires:    %{_lib}yui-gtk-devel
BuildRequires:    %{_lib}yui-mga-devel >= 1.0.4
BuildRequires:    libgtk+3.0-devel
BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    doxygen
BuildRequires:    texlive
BuildRequires:    texlive-dist
BuildRequires:    ghostscript
BuildRequires:    graphviz
Requires:         libyui
Requires:         libyui-mga
Requires:         libyui-gtk

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}
Provides:       libyui%{major}-mga-gtk = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.%{major}{,.*}

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}
Provides:       yui-mga-gtk-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga-gtk development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-mga-gtk.pc
%{_libdir}/cmake/libyui-mga-gtk
%doc %{_docdir}/libyui-mga-gtk%{major}

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
./bootstrap.sh
%cmake \
    -DYPREFIX=%{_prefix}  \
    -DDOC_DIR=%{_docdir}  \
    -DLIB_DIR=%{_lib}     \
    -DINSTALL_DOCS=yes
%cmake_build
%cmake_build -t docs

%install
%cmake_install

find "%{buildroot}" -name "*.la" -delete


%changelog
* Thu Dec 31 2020 wally <wally> 1.1.0-5.mga8
+ Revision: 1666782
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.1.0-4.mga8
+ Revision: 1662024
- rebuild for boost 1.74.0

* Sun Oct 25 2020 akien <akien> 1.1.0-3.mga8
+ Revision: 1639170
- Fix misuse of %%cmake_build macro

* Mon Jun 29 2020 anaselli <anaselli> 1.1.0-2.mga8
+ Revision: 1600529
- rebuilt
- New 1.1.0

* Tue Apr 14 2020 anaselli <anaselli> 1.0.4-1.mga8
+ Revision: 1567258
- new version 1.0.4

* Fri Mar 27 2020 anaselli <anaselli> 1.0.3-6.mga8
+ Revision: 1561200
- Update for new libyui

* Fri Feb 14 2020 umeabot <umeabot> 1.0.3-5.mga8
+ Revision: 1521230
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Dec 16 2018 anaselli <anaselli> 1.0.3-4.mga7
+ Revision: 1341882
- rebuilt against new libyu

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-3.mga7
+ Revision: 1299286
- Mageia 7 Mass Rebuild

* Wed Mar 28 2018 daviddavid <daviddavid> 1.0.3-2.mga7
+ Revision: 1212977
- provides libyui%%{major}-mga-gtk so packages who depends on it can be
  rebuild if major change (like isodumper)

* Sun Jan 28 2018 anaselli <anaselli> 1.0.3-1.mga7
+ Revision: 1197766
- version 1.0.3

* Sun Oct 09 2016 anaselli <anaselli> 1.0.2-3.mga6
+ Revision: 1059763
- rebuilt

* Tue Jan 19 2016 anaselli <anaselli> 1.0.2-2.mga6
+ Revision: 925824
- rebuilt for new yui-mga

* Tue Oct 20 2015 anaselli <anaselli> 1.0.2-1.mga6
+ Revision: 892891
- 1.0.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-0.git20131218.7.mga5
+ Revision: 743456
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-0.git20131218.6.mga5
+ Revision: 681914
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 anaselli <anaselli> 1.0.1-0.git20131218.5.mga5
+ Revision: 668522
- Fixed build issue

* Tue Apr 22 2014 anaselli <anaselli> 1.0.1-0.git20131218.4.mga5
+ Revision: 617390
- Added version dependency

* Fri Apr 18 2014 anaselli <anaselli> 1.0.1-0.git20131218.2.mga5
+ Revision: 616898
- rebuilt for new libyui
- removed double dep
- avoid parallel compiling for docs

* Sun Mar 30 2014 anaselli <anaselli> 1.0.1-0.git20131218.1.mga5
+ Revision: 610483
- Synked source
- Added missed dependencies
- new version 1.0.1
+ matteo <matteo>
- imported package libyui-mga-gtk

